Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.compiler.injection
[Java] Interface GrailsDomainClassInjector

    org.codehaus.groovy.grails.compiler.injection.ClassInjector
      org.codehaus.groovy.grails.compiler.injection.GrailsDomainClassInjector

All Superinterfaces:
  ClassInjector

    public interface GrailsDomainClassInjector
    extends ClassInjector

Mainly just a marker interface for implementations that perform injection on domain classes.

Authors:
  Graeme Rocher

Since:
  0.2

Field Summary

Fields inherited from interface ClassInjector
PRIVATE_STATIC_MODIFIER

Method Summary
`void` | `performInjectionOnAnnotatedEntity(org.codehaus.groovy.ast.ClassNode classNode)` Doesn't check with the specified ClassNode is a valid entity and assumes it is and proceeds with the injection regardless.

Methods inherited from interface ClassInjector
performInjection, performInjection, performInjectionOnAnnotatedClass, shouldInject

Method Detail

### performInjectionOnAnnotatedEntity

    public void performInjectionOnAnnotatedEntity(org.codehaus.groovy.ast.ClassNode classNode)

  Doesn't check with the specified ClassNode is a valid entity and assumes it is and proceeds with the injection regardless.
  Parameters:
    `classNode` - The ClassNode
  Since:
    1.1

Groovy Documentation